<?php
// Konfigurációs fájlok és külső modulok betöltése 
  include("../config/config_program.php");   // Program konfiguráció
  include("../config/config_adatbazis.php"); // Adatbázis konfiguráció
  include("_functions.php");      // Program függvények   
  include("_sql.php");            // SQL kezelő függvények 

// Kapcsolódás az adatbázishoz
  adatbazis();

// Fix szövegek betöltése adatbázisból
  $_lekerdezes_szovegek = lekerdezes("SELECT * FROM szovegek");
  while ($_rekord = olvas_asszociativ($_lekerdezes_szovegek)) {
      $szoveg[$_rekord[szoveg_azon]]=$_rekord[szoveg];
  }
  
// Ha a fennmaradó képek között a kiválasztott képre kattintás volt, 
// akkor ezt az új képet beszúrjuk, mint a műalkotáshoz tartozó kép
if ($mitcsinal == 'insert') {
  $mu_kod = $id;
  $foto_kod = $_REQUEST['foto'];
  $lekerdezes_mualkotasfotoi = lekerdezes("INSERT mualkotas_fotoi VALUES(".$mu_kod.",".$foto_kod.")");
}

// Ha a műalkotás képek között a törlésre kattintás volt, 
// akkor ezt az a képet kivesszük a műalkotáshoz tartozó képek közül
if ($mitcsinal == 'delete') {
  $mu_kod = $id;
  $foto_kod = $_REQUEST['foto'];
  $lekerdezes_mualkotasfotoi = lekerdezes("DELETE FROM mualkotas_fotoi WHERE mu_kod=".$mu_kod." AND foto_kod=".$foto_kod);  
}

  header("Content-Type: text/html; charset=".$charset);
?>
<html> 
<head> 
<title>Listázás</title> 
<link rel="StyleSheet" type="text/css" href="../style/szoborpark.css" media="screen">
</head> 
<body>
<!-- <div class="cim">Fotók</div> -->
  <div class="alcim" align="center">Fotók a műalkotásról</div>
  <div class="fotosor"><nobr>
<?php
    $kivalasztott = array();
    // adatok lekérdezése
    $lekerdezes_mufotok = lekerdezes("SELECT * FROM nezet_mualkotas_fotoi WHERE mu_kod=".$id);
    if (ossz_rekord($lekerdezes_mufotok)>0) {
      echo "<table border=0><tr>\n";
      while ($rekord_mufoto = olvas_asszociativ($lekerdezes_mufotok)) {
        $kivalasztott[] = $rekord_mufoto[foto_azon]; 
        $kepfile = "../".$dir['photos']."/tn_".$rekord_mufoto[foto_file];
        $kepinfo = GetImageSize($kepfile);
        $kep_x = $kepinfo[0];
        $kep_y = $kepinfo[1];
        echo "<td align=\"center\" width=\"".$kep_x."\">\n";
        echo "<img src=\"".$kepfile."\" width=\"".$kep_x."\" height=\"".$kep_y."\" class=\"kiskep\">\n";
        echo "<img title=\"".ucfirst($szoveg[torles])."\" src=\"../images/icon_drop.png\" width=\"16\" height=\"16\" border=\"0\" onClick=\"modosit('delete',".$id.",".$rekord_mufoto[foto_azon].")\" onMouseOver=\"this.style.cursor='hand';\">\n";
        echo "</td>\n"; 
      }
      echo "</tr></table>\n";
    }
    else echo "<div class=\"hiba\">Nincs a műalkotáshoz még fotó hozzárendelve</div>\n";
?>
  </nobr></div>
  <div class="alcim" align="center">Új fotó hozzáadása</div>
  <div class="fotosor"><nobr>
<?php
  // adatok lekérdezése
    $lekerdezes_fotok = lekerdezes("SELECT * FROM fotok");
    if (ossz_rekord($lekerdezes_fotok)>0) {
      echo "<table border=0><tr>\n";
      while ($rekord_foto = olvas_asszociativ($lekerdezes_fotok)) {
        $vanilyen = 0;
        for ($i=0;$i<count($kivalasztott);$i++)
          if ($rekord_foto[foto_azon] == $kivalasztott[$i]) $vanilyen = 1;
        if ($vanilyen == 0) {         
          $kepfile = "../".$dir['photos']."/tn_".$rekord_foto[foto_file];
          $kepinfo = GetImageSize($kepfile);
          $kep_x = $kepinfo[0];
          $kep_y = $kepinfo[1];
          echo "<td align=\"center\" width=\"".$kep_x."\">\n";
          echo "<img src=\"".$kepfile."\" width=\"".$kep_x."\" height=\"".$kep_y."\" onClick=\"modosit('insert',".$id.",".$rekord_foto[foto_azon].")\" class=\"kiskep\" style=\"opacity:1.0;filter:alpha(opacity=100)\" align=\"absmiddle\" onmouseout=\"this.style.opacity=1;this.style.filter='alpha(opacity=100)'\" onMouseOver= \"this.style.opacity=0.4;this.style.filter='alpha(opacity=40)';this.style.cursor='hand';\">\n";
          echo "</td>\n"; 
        }
      }
      echo "</tr></table>\n";
    }
    else echo "<div class=\"hiba\">Nincs az adatbázisba fotó feltöltve!</div>\n";
?>
  </nobr></div>  
<script language="Javascript">
function modosit(mitcsinal,id,foto_kod) {
  window.location.href = '<?php echo $php;?>?do='+mitcsinal+'&id='+id+'&foto='+foto_kod;
}

function futtat(kod) {
  top.document.getElementById('feldolgozo').style.visibility = 'visible';
  top.frames['feldolgozo_oldal'].location = 'feldolgozo.php?do=run&sql='+kod;
  top.window.location.reload();
  //window.alert('modules/feldolgozo.php?do=run&sql='+kod);
}
</script>
</body>
</html>
